<?php
// +-------------------------------------------------+
// © 2002-2011 PMB Services / www.sigb.net pmb@sigb.net et contributeurs (voir www.sigb.net)
// +-------------------------------------------------+
// $Id: openurl_context_object.class.php,v 1.2.18.1 2025/12/17 09:38:37 qvarin Exp $

if (stristr($_SERVER['REQUEST_URI'], ".class.php")) {
    die("no access");
}
global $class_path;

require_once($class_path."/openurl/openurl.class.php");
require_once($class_path."/openurl/entities/openurl_entities.class.php");
//require_once($class_path.'/search.class.php');

class openurl_context_object extends openurl_root {

    //	tableau regroupant des infos générales..;
    public $infos = array();

    //	tableau des entités
    public $entities;

    public $context;
    public $referent;
    public $referring_entity;
    public $requester;
    public $service_type;
    public $resolver;
    public $referrer;

    public function __construct()
    {
        static::$uri = static::$uri . "/fmt";
    }

    public function serialize(){}
}